# View Daily Consumption Report - GetUFileDailyReport

## Overview

View Daily Consumption Report






## Definition

### Public Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Action**     | string  | Corresponding API command name, the current API is `GetUFileDailyReport`.                      | **Yes** |
| **PublicKey**  | string  | The user's public key can be obtained from [Console](https://console.genesissai.com/uaccount/api_manage)                                             | **Yes** |
| **Signature**  | string  | User signature generated based on public key and API command, see [Signature Algorithm](/docs/api/summary/signature.md)  | **Yes** |

### Request Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Region** | string | Region. See [List of Regions and Availability Zones](/docs/api/summary/regionlist) |**Yes**|
| **ProjectId** | string | Project ID. If not filled in, the default project is used, sub-accounts must be filled in. Please refer to the [GetProjectList interface](/docs/api/summary/get_project_list). |No|
| **StartTime** | int | Query start time; unix timestamp, unit s |**Yes**|
| **EndTime** | int | Query end time; unix timestamp, unit s |**Yes**|
| **BucketName** | string | Space name. If this field is not empty, return the daily usage of this Bucket; otherwise, return the daily usage of this project. |No|

### Response Field

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **RetCode** | int | Return status code. If it is 0, it means successful return. If it is not 0, it means failure. |**Yes**|
| **Action** | string | Operation command name. |**Yes**|
| **Message** | string | Returns an error message, providing detailed description when `RetCode` is non-zero. |No|
| **DataSet** | array[[*UFileReportItem*](#ufilereportitem)] | Consumption Situation |**Yes**|

#### Data Model


#### UFileReportItem

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Total** | array[[*UFileTotalReportItem*](#ufiletotalreportitem)] | Total Consumption Situation |No|
| **Daily** | array[[*UFileDailyReportItem*](#ufiledailyreportitem)] | Daily Consumption Situation |No|

#### UFileTotalReportItem

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Flow** | float | Download Traffic: Unit GB; This field does not exist domestically. |No|
| **IdleFlow** | float | Idle traffic; Unit GB; This field does not exist overseas |No|
| **BusyFlow** | float | Peak traffic; Unit GB; This field is not available overseas |No|
| **CdnFlow** | float | CDN back-to-source traffic; unit GB |No|
| **ApiTimes** | float | API Request Times (Ten Thousand Times) |No|

#### UFileDailyReportItem

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Storage** | float | Standard - Total Storage Capacity; Unit GB |No|
| **IaStorage** | float | Low-frequency - Total storage capacity; Unit GB |No|
| **AcStorage** | float | Archiving - Total storage capacity; Unit GB |No|
| **IaGetSize** | float | Low-frequency data retrieval, that is, the data retrieval volume of low-frequency files; unit GB |No|
| **AcRestore** | float | Archive - Standard Thaw Volume, that is, the thaw volume of the archive file type is standard (Strandard); unit GB |No|
| **AcExpeditedRetrieval** | float | Archive - High Priority Thawing Volume, that is, the thawing type of the archived file is high priority (Expedited); unit is GB. |No|
| **IaShortStorage** | float | Low-frequency - short-term storage volume, that is, the storage volume of the remaining days to make up for the shortest storage period; unit GB |No|
| **AcShortStorage** | float | Archive - Short-term storage volume, that is, the storage volume of the remaining days to make up for the shortest storage period; unit GB |No|
| **ImageHandleFlow** | float | Basic Image Processing Volume; Unit GB |No|
| **ImageCompressCount** | float | Advanced image compression times; unit: thousand times |No|
| **BusyFlow** | float | Peak traffic; Unit GB; This field is not available overseas |No|
| **IdleFlow** | float | Idle traffic; Unit GB; This field does not exist overseas |No|
| **CdnFlow** | float | CDN back-to-source traffic; unit GB |No|
| **Flow** | float | Download Traffic: Unit GB; This field does not exist domestically. |No|
| **Date** | int | Quota consumption time, unix timestamp; unit is seconds, accurate to the date |No|
| **ApiTimes** | float | Request times; per ten thousand times |No|
| **ObjectTagCount** | float | Number of Object Tags; Unit: Ten Thousand |No|

## Example

### Request Example
    
```
https://api.genesissai.com/?Action=GetUFileDailyReport
&Region=cn-zj
&ProjectId=hKcUXqkX
&StartTime=4
&EndTime=7
&Bucket=vdXesnhh
```

### Response Example
    
```json
{
  "Action": "GetUFileDailyReportResponse",
  "RetCode": 0
}
```





